Skip to main content
DELETE
/
agents
/
me
/
external-accounts
/
{externalAccountId}
cURL
curl --request DELETE \
  --url https://api.lightspark.com/grid/2025-10-13/agents/me/external-accounts/{externalAccountId} \
  --header 'Authorization: Bearer <token>'
import LightsparkGrid from '@lightsparkdev/grid';

const client = new LightsparkGrid({
agentAccessToken: process.env['GRID_AGENT_ACCESS_TOKEN'], // This is the default and can be omitted
});

await client.agents.me.externalAccounts.delete('externalAccountId');
package com.lightspark.grid.example

import com.lightspark.grid.client.LightsparkGridClient
import com.lightspark.grid.client.okhttp.LightsparkGridOkHttpClient
import com.lightspark.grid.models.agents.me.externalaccounts.ExternalAccountDeleteParams

fun main() {
val client: LightsparkGridClient = LightsparkGridOkHttpClient.fromEnv()

client.agents().me().externalAccounts().delete("externalAccountId")
}
{
  "status": 401,
  "message": "<string>",
  "details": {}
}
{
"status": 404,
"message": "<string>",
"details": {}
}
{
"status": 500,
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

Bearer token authentication for agent-scoped endpoints. The token is the accessToken returned when redeeming a device code via POST /agents/device-codes/{code}/redeem. Agent credentials are user-scoped: all requests are automatically bound to the agent's associated customer and subject to the agent's policy.

Path Parameters

externalAccountId
string
required

System-generated unique external account identifier

Response

External account deleted successfully